Page MenuHomePhabricator

Compound order IDs should never end in ".0"
Closed, ResolvedPublic2 Estimate Story Points

Description

With all the json encoding and decoding, 1234.0 often gets rounded off to just 1234

So if our payments front end sends a message with order id 1234.0 and the IPN sends a message with order ID 1234, we end up recording the same contribution twice.

We need to start the sequence numbers at .1 and find any duplicates already recorded

Details

Related Gerrit Patches:
mediawiki/extensions/DonationInterface : masterOrder sequence numbers start at 1, not 0

Event Timeline

Ejegg created this task.Jul 27 2017, 7:36 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 27 2017, 7:36 PM

Change 368266 had a related patch set uploaded (by Ejegg; owner: Ejegg):
[mediawiki/extensions/DonationInterface@master] WIP order sequence numbers start at 1, not 0

https://gerrit.wikimedia.org/r/368266

Ejegg claimed this task.Jul 28 2017, 4:57 PM
Ejegg triaged this task as High priority.
Ejegg set the point value for this task to 2.
Ejegg moved this task from Backlog to Review on the Fundraising Sprint Navel Warfare board.

Change 368266 merged by jenkins-bot:
[mediawiki/extensions/DonationInterface@master] Order sequence numbers start at 1, not 0

https://gerrit.wikimedia.org/r/368266

Ejegg added a comment.Aug 1 2017, 8:18 PM

Good news: there aren't any duplicate PayPal EC donations - we're using the actual alphanumeric PayPal transaction id to identify those, not our compound order ID. This ticket was still a good idea, though.

Ejegg closed this task as Resolved.Aug 2 2017, 7:34 PM